import { ParsedModel, Token, TokenType } from './types';
import { Options } from './options';
/**
 * Calculates diff between given parsed document and produces new model with diff
 * tokens in it. This model can be restored into a final XML document
 */
export default function diff(from: ParsedModel, to: ParsedModel, options?: Options): ParsedModel;
/**
 * Check if given token has specified `type`
 */
export declare function isType(token: Token | undefined, type: TokenType): boolean;
